searchNodes=[{"type":"module","title":"FileStream","doc":"A module to stream file-like resources.","ref":"FileStream.html"},{"type":"function","title":"FileStream.get_meta/2","doc":"Gets the value for a specific key within the stream meta.","ref":"FileStream.html#get_meta/2"},{"type":"function","title":"FileStream.put_meta/3","doc":"Puts the given value under key of the stream meta.","ref":"FileStream.html#put_meta/3"},{"type":"function","title":"FileStream.reset_meta/1","doc":"Resets the stream meta to be empty.","ref":"FileStream.html#reset_meta/1"},{"type":"function","title":"FileStream.stream!/2","doc":"Returns a FileStream for the given resource. The resource must be any term that implements the FileStream.Resource protocol. By default, implementations for String and URI are included.","ref":"FileStream.html#stream!/2"},{"type":"type","title":"FileStream.t/0","doc":"","ref":"FileStream.html#t:t/0"},{"type":"protocol","title":"FileStream.Resource","doc":"A protocol to stream a file-like resource.","ref":"FileStream.Resource.html"},{"type":"function","title":"FileStream.Resource.stream!/2","doc":"Returns a FileStream for the given resource.","ref":"FileStream.Resource.html#stream!/2"},{"type":"type","title":"FileStream.Resource.t/0","doc":"A streamable resource.","ref":"FileStream.Resource.html#t:t/0"},{"type":"behaviour","title":"FileStream.Storage","doc":"A behaviour for streaming files from storage.","ref":"FileStream.Storage.html"},{"type":"function","title":"FileStream.Storage.from_uri/1","doc":"Determines the FileStream.Storage implementation based on a URI scheme. Returns {:ok, storage} on success or :error if storage is not supported.","ref":"FileStream.Storage.html#from_uri/1"},{"type":"function","title":"FileStream.Storage.from_uri!/1","doc":"Similar to from_uri/1 but raises a FileStream.Error if storage is not supported.","ref":"FileStream.Storage.html#from_uri!/1"},{"type":"callback","title":"FileStream.Storage.init/1","doc":"A callback to initialize a stream with the provided options.","ref":"FileStream.Storage.html#c:init/1"},{"type":"callback","title":"FileStream.Storage.into/1","doc":"A callback for Collectable.into/1 .","ref":"FileStream.Storage.html#c:into/1"},{"type":"callback","title":"FileStream.Storage.reduce/3","doc":"A callback for Enumerable.reduce/3 .","ref":"FileStream.Storage.html#c:reduce/3"},{"type":"type","title":"FileStream.Storage.t/0","doc":"","ref":"FileStream.Storage.html#t:t/0"},{"type":"module","title":"FileStream.Storage.GCS","doc":"A module to stream Google Cloud Storage backed files.","ref":"FileStream.Storage.GCS.html"},{"type":"module","title":"FileStream.Storage.HTTP","doc":"A module to stream HTTP backed files.","ref":"FileStream.Storage.HTTP.html"},{"type":"module","title":"FileStream.Storage.Local","doc":"A module to stream local files.","ref":"FileStream.Storage.Local.html"},{"type":"module","title":"FileStream.Storage.S3","doc":"A module to stream AWS S3 backed files.","ref":"FileStream.Storage.S3.html"},{"type":"module","title":"FileStream.Storage.SFTP","doc":"A module to stream SFTP backed files.","ref":"FileStream.Storage.SFTP.html"},{"type":"exception","title":"FileStream.ConnectionTimeoutError","doc":"","ref":"FileStream.ConnectionTimeoutError.html"},{"type":"exception","title":"FileStream.Error","doc":"","ref":"FileStream.Error.html"},{"type":"exception","title":"FileStream.NXDomainError","doc":"","ref":"FileStream.NXDomainError.html"},{"type":"exception","title":"FileStream.NotFoundError","doc":"","ref":"FileStream.NotFoundError.html"},{"type":"exception","title":"FileStream.PermissionError","doc":"","ref":"FileStream.PermissionError.html"},{"type":"extras","title":"FileStream","doc":"Turns any file-like resource into a stream. stream1 = FileStream . stream! ( &quot;file://some/path/file.txt&quot; ) stream2 = FileStream . stream! ( &quot;gs://some/path/file.txt&quot; ) # Stream a local file into Google Cloud Storage Enum . into ( stream1 , stream2 ) # Stream a Google Cloud Storage object into a local file Enum . into ( stream2 , stream1 )","ref":"readme.html"}]